function createCell(content, CellName = null, isHTML = false) {
  const cell = document.createElement('td');
  if(CellName) cell.dataset.name = CellName;
  isHTML ? cell.innerHTML = content : cell.textContent = content;
  return cell;
}

function createTableRow(id) {
  const row = document.createElement('tr');
  row.dataset.id = id;

  const cellCheckbox = createCheckboxCell(id);
  row.appendChild(cellCheckbox);

  return row;
}

function createCheckboxCell(id) {
  const cell = document.createElement('td');
  const checkbox = document.createElement('input');
  checkbox.classList.add("checkbox-acc");
  checkbox.type = 'checkbox';
  checkbox.dataset.id = id;
  cell.appendChild(checkbox);
  return cell;
}

function createActionCell(buttonClass, buttonId) {
  const cell = document.createElement('td');
  const button = document.createElement('button');
  button.classList.add('action-btn');
  button.classList.add(buttonClass); // Classe dinâmica
  button.setAttribute('data-id', buttonId); // Atributo dinâmico

  const icon = document.createElement('i'); // Criar o ícone
  if (buttonClass === 'delete-btn') {
    icon.classList.add('fa', 'fa-trash'); // Ícone de excluir
  } else if (buttonClass === 'verify-btn') {
    icon.classList.add('fa', 'fa-check'); // Ícone de verificar
  }

  button.appendChild(icon); // Adiciona o ícone ao botão
  cell.appendChild(button);
  return cell;
}



function formatDate(date) {
  const d = new Date(date);
  return `${d.getDate()}/${d.getMonth() + 1}/${d.getFullYear()}`;
}

const tableHelpers = {
  createCell,
  createTableRow,
  createCheckboxCell,
  createActionCell,
  formatDate
};

export default tableHelpers;
